<div class="module quick_search">
    <form #qs="ngForm" action="">
        <div class="form">
            <p *ngIf="searchControl[0].errors?.required && user_try[0]" class="error_msg">
                Empty field .
            </p>
            <p *ngIf="(searchControl[0].errors?.minlength || searchControl[0].errors?.maxlength) && user_try[0]"
                class="error_msg">
                Must contain between 8 and 16 characters .
            </p>
            <p *ngIf="searchControl[0].errors?.pattern && user_try[0]" class="error_msg">
                Only numbers Allowed .
            </p>
            <div class="form_input">
                <span>
                    <input id="invn" type="text" name="invn" placeholder="Invoice Number"
                        [formControl]="searchControl[0]" pattern="^[0-9]{8,16}$" minlength="8" maxlength="16" required>
                    <ng-container *ngIf="focus_input != 0; else invnFocus">
                        <button type="button" class="add" (click)="addValue(0)">+</button>
                        <button type="button" class="paste" (click)="openModal(0)">paste</button>
                    </ng-container>
                    <ng-template #invnFocus>
                        <button type="button" class="upd" (click)="updateValue(0)">></button>
                        <button type="button" class="del" (click)="deleteValue(0)">x</button>
                    </ng-template>
                </span>
            </div>
            <p *ngIf="searchControl[1].errors?.required && user_try[1]" class="error_msg">
                Empty field .
            </p>
            <p *ngIf="(searchControl[1].errors?.minlength || searchControl[1].errors?.maxlength) && user_try[1]"
                class="error_msg">
                Must contain between 8 and 16 characters .
            </p>
            <p *ngIf="searchControl[1].errors?.pattern && user_try[1]" class="error_msg">
                Only numbers Allowed .
            </p>
            <div class="form_input">
                <span>
                    <input id="payn" type="text" name="payn" placeholder="Payment Number"
                        [formControl]="searchControl[1]" pattern="^[0-9]{8,16}$" minlength="8" maxlength="16" required>
                    <ng-container *ngIf="focus_input != 1; else paynFocus">
                        <button type="button" class="add" (click)="addValue(1)">+</button>
                        <button type="button" class="paste" (click)="openModal(1)">paste</button>
                    </ng-container>
                    <ng-template #paynFocus>
                        <button type="button" class="upd" (click)="updateValue(1)">></button>
                        <button type="button" class="del" (click)="deleteValue(1)">x</button>
                    </ng-template>
                </span>
            </div>
            <div>
                <select #stat name="stat" (change)="updateValue(2)" id="stat" [formControl]="searchControl[2]">
                    <option value="">Select Statement</option>
                    <option *ngFor="let statement of statements" [ngValue]="statement.value">
                        {{ statement.name }}
                    </option>
                </select>
            </div>
            <div>
                <button class="btn btn-primary btn-lg" (click)="generateUrl()"
                    [disabled]="!valid ? 'disabled': null">SEARCH</button>
            </div>
        </div>
        <div *ngIf="display_list" class="liste">
            <div *ngIf="criterias[0].targets.length != 0">
                <h3>INVOICE NUMBER</h3>
                <ul>
                    <li *ngFor="let target of criterias[0].targets;let i = index">
                        <span (click)="loadValue(0,i);setFocus('invn')">
                            <p>{{ target.value }}
                            </p>
                        </span>
                    </li>
                </ul>
            </div>
            <div *ngIf="criterias[1].targets.length != 0">
                <h3>PAYMENT NUMBER</h3>
                <ul>
                    <li *ngFor="let target of criterias[1].targets;let i = index">
                        <span (click)="loadValue(1,i);setFocus('payn')">
                            <p>{{ target.value }}
                            </p>
                        </span>
                    </li>
                </ul>
            </div>
            <div *ngIf="criterias[2].targets[0].value != ''">
                <span>
                    <h3>STATEMENT</h3>{{ criterias[2].targets[0].value }}
                </span>
            </div>
        </div>
    </form>
</div>

<modal #paste_modal id="paste_modal">
    <select #paste_input [formControl]="selectControl" name="delim" id="delim">
        <option value=";" [selected]="true">semi-colon</option>
        <option value=",">comma</option>
        <option value=" ">space</option>
    </select>
    <textarea [formControl]="textControl" name="paste" id="paste" cols="30" rows="35" placeholder="paste your data here" (change)="paste()"></textarea>
    <div>
        <button (click)="paste(true)">Add</button>
        <button (click)="clearArea()">Clear</button>
    </div>
    <div *ngIf="isError">
        <p class="error_msg">The following values were rejected</p>
        <p #rejected id='rejected'>erreurs en temps reel non implémenté</p>
    </div>
</modal>